<?php

namespace Me\Teszt\Repositories\Eloquent;

use Me\Teszt\Interfaces\Table1RepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class Table1Repository extends BaseRepository implements Table1RepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('me.teszt.table1.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('me.teszt.table1.model.model');
    }
}
